/* Definitions used throughout */

/* $Id: defns.h,v 2.0 2001/07/26 16:35:12 tony Exp $ */

#ifndef DEFNS_H
#define DEFNS_H

#ifndef CONFIG_H
#include <config.h>
#endif

#ifndef RNEWS_FILE
#define RNEWS_FILE INCOMING_DIR "/rnews"
#endif
#ifndef MAIN_CONF
#define MAIN_CONF CONF_DIR "/main.cf"
#endif

#undef BOOL
#define BOOL int
#undef TRUE
#define TRUE 1
#undef FALSE
#define FALSE 0

#define UNUSED(a) (a)=(a);

/* Stop-gap so we can use i18n in future */
#define _(s) s
#define N_(s) s


/* Put typedef structs together because of mutual dependencies */
typedef struct ServerData ServerData;
typedef struct GroupData GroupData;
typedef struct NSThread NSThread;
typedef struct Article Article;
typedef struct KiddyData KiddyData;
typedef struct ChildData ChildData;
typedef struct Intercom Intercom;
typedef struct intercom_data intercom_data;
typedef struct HashTree HashTree;

#endif /* DEFNS_H */
