dnl aclocal.m4 generated automatically by aclocal 1.4-p4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

AC_DEFUN([TH_CHECK_CURSES],
  [
   th_save_LIBS="$LIBS"
   CURSES_LIB=""
   AC_CACHE_CHECK([for working ncurses], th_cv_ncurses,
     [LIBS="$th_save_LIBS -lncurses"
      AC_TRY_LINK(
	[#include <ncurses.h>],
	[chtype a; int b=A_STANDOUT, c=KEY_LEFT; initscr(); ],
	th_cv_ncurses=yes, th_cv_ncurses=no)])
   if test "$th_cv_ncurses" = yes
   then
     AC_DEFINE(HAVE_CURSES_H)
     AC_DEFINE(HAVE_NCURSES_H)
     CURSES_LIB="-lncurses"
   fi
   if test x"$CURSES_LIB" = x
   then
     AC_CACHE_CHECK([for working curses], th_cv_curses,
       [LIBS="$th_save_LIBS -lcurses"
        AC_TRY_LINK(
          [#include <curses.h>],
          [chtype a; int b=A_STANDOUT, c=KEY_LEFT; initscr(); ],
          th_cv_curses=yes, th_cv_curses=no)])
     if test "$th_cv_curses" = yes
     then
       AC_DEFINE(HAVE_CURSES_H)
       CURSES_LIB="-lcurses"
     fi
   fi
   if test x"$CURSES_LIB" != x
   then
     AC_CACHE_CHECK([whether curses supports color], th_cv_curses_color,
       [LIBS="$th_save_LIBS $CURSES_LIB"
        AC_TRY_LINK(
          [#include <curses.h>],
          [initscr(); has_colors();],
          th_cv_curses_color=yes, th_cv_curses_color=no)])
     if test "$th_cv_curses_color" = yes
     then
       AC_DEFINE(HAVE_CURSES_COLOR)
     fi
   fi
   if test x"$CURSES_LIB" != x
   then
     AC_CACHE_CHECK([whether curses supports terminal resizing], th_cv_curses_resize,
       [LIBS="$th_save_LIBS $CURSES_LIB"
        AC_TRY_LINK(
          [#include <curses.h>],
          [initscr(); resizeterm(LINES, COLS); wresize(stdscr, LINES, COLS);],
          th_cv_curses_resize=yes, th_cv_curses_resize=no)])
     if test "$th_cv_curses_resize" = yes
     then
       AC_DEFINE(HAVE_CURSES_RESIZE)
     fi
   fi
   LIBS="$th_save_LIBS"
])dnl


# Checks we can find inn binaries and uses innconfval to work out 
# some locations if so
AC_DEFUN([TH_CHECK_INN],
 [
  TH_SAVE_PATH=$PATH
  PATH=$PATH:/usr/local/news/bin:/usr/lib/news/bin:/var/lib/news/bin
  AC_MSG_CHECKING([for inn binaries])
  if innconfval -v > /dev/null 2>/dev/null
  then
      AC_MSG_RESULT([yes])
      echo `innconfval -s | grep PATHBIN | sed -e 's/PATHBIN/NEWS_PATH/; s/;.*//'`
      eval `innconfval -s | grep PATHBIN | sed -e 's/PATHBIN/NEWS_PATH/; s/;.*//'`
      if test x$OUTGOING_DIR = "x"
      then
	  eval `innconfval -s | grep PATHOUTGOING | sed -e 's/PATHOUTGOING/OUTGOING_DIR/; s/;.*//'`
      fi
      if test x$ARTICLES_DIR = "x"
      then
	  eval `innconfval -s | grep PATHARTICLES | sed -e 's/PATHARTICLES/ARTICLES_DIR/; s/;.*//'`
      fi
      if test x$ACTIVE_FILE = "x"
      then
	  eval `innconfval -s | grep PATHDB | sed -e 's/PATHDB/ACTIVE_FILE/; s/;.*/\/active/'`
      fi
  else
      AC_MSG_RESULT([no])
      if test x$OUTGOING_DIR = "x"
      then
	  OUTGOING_DIR=$SPOOL_DIR/outgoing
      fi
      if test x$ARTICLES_DIR = "x"
      then
	  ARTICLES_DIR=$SPOOL_DIR/articles
      fi
      if test x$ACTIVE_FILE = "x"
      then
	  ACTIVE_FILE=/var/lib/news/active
      fi
  fi
  PATH=$TH_SAVE_PATH
])dnl

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])

# Add --enable-maintainer-mode option to configure.
# From Jim Meyering

# serial 1

AC_DEFUN(AM_MAINTAINER_MODE,
[AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
  dnl maintainer-mode is disabled by default
  AC_ARG_ENABLE(maintainer-mode,
[  --enable-maintainer-mode enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer],
      USE_MAINTAINER_MODE=$enableval,
      USE_MAINTAINER_MODE=no)
  AC_MSG_RESULT($USE_MAINTAINER_MODE)
  AM_CONDITIONAL(MAINTAINER_MODE, test $USE_MAINTAINER_MODE = yes)
  MAINT=$MAINTAINER_MODE_TRUE
  AC_SUBST(MAINT)dnl
]
)

# Define a conditional.

AC_DEFUN(AM_CONDITIONAL,
[AC_SUBST($1_TRUE)
AC_SUBST($1_FALSE)
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi])

