/* Loads main config file and allows other things to read settings */

/* $Id: maincf.h,v 2.2 2001/10/25 18:16:15 tony Exp $ */

#ifndef MAINCF_H
#define MAINCF_H

#ifndef DEFNS_H
#include "defns.h"
#endif

void maincf_init(void);

long int maincf_get_threads_per_server(void);
long int maincf_get_max_threads(void);
BOOL maincf_get_pipeline(void);
const char *maincf_get_path(void);
const char *maincf_get_history_method(void);
const char *maincf_get_post_method(void);

/* Allows max_threads to be revised if total of servers' threads is lower */
void maincf_reset_max_threads(long int);
    
#endif /* ! MAINCF_H */
